## py-macaroon-bakery 1.1.3

=== Makefile ===
# Copyright 2017 Canonical Ltd.
# Licensed under the LGPLv3, see LICENCE file for details.
include sysdeps.mk

PYTHON = python
# Since the python-tox package in Ubuntu uses Python 3, use pip to install tox
# instead. This also works on OSX where tox is not present in Homebrew.
PIP_SYSDEPS = tox

PIP = sudo pip install $(1)

SYSDEPS_INSTALLED = .sysdeps-installed
DEVENV = devenv
DEVENVPIP = $(DEVENV)/bin/pip

.DEFAULT_GOAL := setup

$(DEVENVPIP):
	@tox -e devenv

$(SYSDEPS_INSTALLED): sysdeps.mk
ifeq ($(shell command -v apt-get > /dev/null; echo $$?),0)
	sudo apt-get install --yes $(APT_SYSDEPS)
else
	@echo 'System dependencies can only be installed automatically on'
	@echo 'systems with "apt-get". On OSX you can manually use Homebrew'
	@echo 'if there are missing dependencies corresponding to the following'
	@echo 'Debian packages:'
	@echo '$(APT_SYSDEPS).'
endif
	sudo pip2 install $(PIP_SYSDEPS)
	touch $(SYSDEPS_INSTALLED)


.PHONY: check
check: setup lint
	@tox

.PHONY: clean
clean:
	$(PYTHON) setup.py clean
	# Remove the development environments.
	rm -rfv $(DEVENV) .tox/
	# Remove distribution artifacts.
	rm -rfv *.egg build/ dist/ macaroonbakery.egg-info MANIFEST
	# Remove tests artifacts.
	rm -fv .coverage
	# Remove the canary file.
	rm -fv $(SYSDEPS_INSTALLED)
	# Remove Python compiled bytecode.
	find . -name '*.pyc' -delete
	find . -name '__pycache__' -type d -delete

.PHONY: docs
docs: setup
	@tox -e docs

.PHONY: help
help:
	@echo -e 'Macaroon Bakery - list of make targets:\n'
	@echo 'make - Set up the development and testing environment.'
	@echo 'make test - Run tests.'
	@echo 'make lint - Run linter and pep8.'
	@echo 'make check - Run all the tests and lint in all supported scenarios.'
	@echo 'make source - Create source package.'
	@echo 'make clean - Get rid of bytecode files, build and dist dirs, venvs.'
	@echo 'make release - Register and upload a release on PyPI.'
	@echo -e '\nAfter creating the development environment with "make", it is'
	@echo 'also possible to do the following:'
	@echo '- run a specific subset of the test suite, e.g. with'
	@echo '  "$(DEVENV)/bin/nosetests bakery/tests/...";'
	@echo '- use tox as usual on this project;'
	@echo '  see https://tox.readthedocs.org/en/latest/'


.PHONY: lint
lint: setup
	@tox -e lint

.PHONY: release
release: check
	$(PYTHON) setup.py register sdist upload

.PHONY: setup
setup: $(SYSDEPS_INSTALLED) $(DEVENVPIP) setup.py

.PHONY: source
source:
	$(PYTHON) setup.py sdist

.PHONY: sysdeps
sysdeps: $(SYSDEPS_INSTALLED)

.PHONY: test
test: setup
	@$(DEVENV)/bin/nosetests \
		--verbosity 2 --with-coverage --cover-erase \
		--cover-package macaroonbakery

.PHONY: isort
isort:
	isort \
		--trailing-comma \
		--recursive \
		--multi-line 3 \
		`find macaroonbakery -name '*.py' | grep -v 'internal/id_pb2\.py'`

=== requirements.txt ===
# Copyright 2017 Canonical Ltd.
# Licensed under the LGPLv3, see LICENCE file for details.

requests>=2.18.4,<3.0
PyNaCl>=1.1.2,<2.0
pymacaroons>=0.12.0,<1.0
six>=1.11.0,<2.0
protobuf>=3.4.0,<4.0
pyRFC3339>=1.0,<2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/py-macaroon-bakery.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/py-macaroon-bakery.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/py-macaroon-bakery"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/py-macaroon-bakery"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
py-macaroon-bakery (1.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Feb 2018 17:09:45 +0000

py-macaroon-bakery (1.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 20 Feb 2018 23:47:51 +0000

py-macaroon-bakery (1.1.0-2) unstable; urgency=medium

  * Move VCS to salsa.debian.org.
  * Improve mock setup for 407-then-unknown test.

 -- Colin Watson <cjwatson@debian.org>  Fri, 09 Feb 2018 22:05:55 +0000

py-macaroon-bakery (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 Feb 2018 16:04:22 +0000

py-macaroon-bakery (0.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 11 Nov 2017 12:55:42 +0000

py-macaroon-bakery (0.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Apply https://github.com/go-macaroon-bakery/py-macaroon-bakery/pull/28
    to isolate client tests from any configured HTTP proxy.
  * Set Rules-Requires-Root: no.

 -- Colin Watson <cjwatson@debian.org>  Mon, 06 Nov 2017 10:42:31 +0000

py-macaroon-bakery (0.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Cherry-pick
    https://github.com/go-macaroon-bakery/py-macaroon-bakery/pull/26 to
    lower protobuf and requests dependencies to versions satisfiable in
    unstable.

 -- Colin Watson <cjwatson@debian.org>  Fri, 03 Nov 2017 16:11:44 +0000

py-macaroon-bakery (0.0.3-1) unstable; urgency=medium

  * Initial release (closes: #866779).

 -- Colin Watson <cjwatson@debian.org>  Thu, 02 Nov 2017 14:35:45 +0000

=== debian/control ===
Source: py-macaroon-bakery
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-python,
               python3-all,
               python3-httmock,
               python3-mock,
               python3-nacl (>= 1.1.2),
               python3-nose,
               python3-protobuf (>= 3.0.0),
               python3-pymacaroons (>= 0.12.0),
               python3-requests (>= 2.18.1),
               python3-rfc3339 (>= 1.0),
               python3-setuptools,
               python3-six (>= 1.11.0),
Standards-Version: 4.1.1
X-Python3-Version: >= 3.5
Vcs-Git: https://salsa.debian.org/python-team/modules/py-macaroon-bakery
Vcs-Browser: https://salsa.debian.org/python-team/modules/py-macaroon-bakery
Homepage: https://github.com/go-macaroon-bakery/py-macaroon-bakery
Rules-Requires-Root: no

Package: python3-macaroonbakery
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Higher-level macaroon operations for Python 3
 Macaroons, like cookies, are a form of bearer credential.  Unlike opaque
 tokens, macaroons embed caveats that define specific authorization
 requirements for the target service, the service that issued the root
 macaroon and which is capable of verifying the integrity of macaroons it
 receives.
 .
 Macaroons allow for delegation and attenuation of authorization.  They are
 simple and fast to verify, and decouple authorization policy from the
 enforcement of that policy.
 .
 The macaroonbakery library builds on pymacaroons to allow working with
 macaroons at a higher level, such as by automatically gathering discharge
 macaroons for third-party caveats from their corresponding services.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%py-macaroon-bakery-$1.tar.gz%" \
    https://github.com/go-macaroon-bakery/py-macaroon-bakery/releases \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## py-macaroon-bakery 1.1.4

=== Makefile ===
--- 
+++ 
@@ -40,13 +40,13 @@
 clean:
 	$(PYTHON) setup.py clean
 	# Remove the development environments.
-	rm -rfv $(DEVENV) .tox/
+	rm -rf $(DEVENV) .tox/
 	# Remove distribution artifacts.
-	rm -rfv *.egg build/ dist/ macaroonbakery.egg-info MANIFEST
+	rm -rf *.egg build/ dist/ macaroonbakery.egg-info MANIFEST
 	# Remove tests artifacts.
-	rm -fv .coverage
+	rm -f .coverage
 	# Remove the canary file.
-	rm -fv $(SYSDEPS_INSTALLED)
+	rm -f $(SYSDEPS_INSTALLED)
 	# Remove Python compiled bytecode.
 	find . -name '*.pyc' -delete
 	find . -name '__pycache__' -type d -delete

=== debian/changelog ===
py-macaroon-bakery (1.1.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Colin Watson ]
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Aug 2018 17:54:44 +0100

## py-macaroon-bakery 1.2.1

=== debian/changelog ===
py-macaroon-bakery (1.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Oct 2018 10:59:57 +0100

py-macaroon-bakery (1.2.0-1) unstable; urgency=medium

  * debian/watch: Switch to PyPI, which upstream updates more reliably than
    GitHub releases.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 12 Oct 2018 15:29:00 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-six (>= 1.11.0),
 Standards-Version: 4.1.1
 X-Python3-Version: >= 3.5
-Vcs-Git: https://salsa.debian.org/python-team/modules/py-macaroon-bakery
+Vcs-Git: https://salsa.debian.org/python-team/modules/py-macaroon-bakery.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/py-macaroon-bakery
 Homepage: https://github.com/go-macaroon-bakery/py-macaroon-bakery
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/" \
    http://pypi.debian.net/macaroonbakery/macaroonbakery@ANY_VERSION@@ARCHIVE_EXT@

## py-macaroon-bakery 1.2.3

=== debian/changelog ===
py-macaroon-bakery (1.2.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol.

  [ Colin Watson ]
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 09 May 2019 09:54:14 +0100

## py-macaroon-bakery 1.3.0

=== debian/changelog ===
py-macaroon-bakery (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 29 Jan 2020 17:25:18 +0000

py-macaroon-bakery (1.2.3-3) unstable; urgency=medium

  * Cherry-pick from upstream:
    - Avoid using deprecated platform.dist() in setup.py.

 -- Colin Watson <cjwatson@debian.org>  Thu, 26 Dec 2019 22:46:22 +0000

py-macaroon-bakery (1.2.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Remove ancient X-Python3-Version field.

 -- Colin Watson <cjwatson@debian.org>  Thu, 26 Dec 2019 02:13:31 +0000

## py-macaroon-bakery 1.3.1

=== debian/changelog ===
py-macaroon-bakery (1.3.1-5) unstable; urgency=medium

  [ Colin Watson ]
  * Set upstream metadata fields: Repository.

  [ Steve Beattie ]
  * Fix saving macaroons to MozillaCookieJar() on Python 3.10
    (LP: #1970267).

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 Feb 2023 09:35:23 +0000

py-macaroon-bakery (1.3.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 18:08:31 +0100

py-macaroon-bakery (1.3.1-3) unstable; urgency=medium

  * Switch from nose to pytest.

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Aug 2022 11:51:37 +0100

py-macaroon-bakery (1.3.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-nacl,
      python3-protobuf, python3-pymacaroons, python3-requests, python3-rfc3339
      and python3-six.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Dec 2021 13:20:06 +0000

py-macaroon-bakery (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Feb 2020 11:22:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: py-macaroon-bakery
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               python3-fixtures,
                python3-httmock,
                python3-mock,
-               python3-nacl (>= 1.1.2),
-               python3-nose,
-               python3-protobuf (>= 3.0.0),
-               python3-pymacaroons (>= 0.12.0),
-               python3-requests (>= 2.18.1),
-               python3-rfc3339 (>= 1.0),
+               python3-nacl,
+               python3-protobuf,
+               python3-pymacaroons,
+               python3-pytest,
+               python3-requests,
+               python3-rfc3339,
                python3-setuptools,
-               python3-six (>= 1.11.0),
+               python3-six,
 Standards-Version: 4.1.1
-X-Python3-Version: >= 3.5
-Vcs-Git: https://salsa.debian.org/python-team/modules/py-macaroon-bakery.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/py-macaroon-bakery
+Vcs-Git: https://salsa.debian.org/python-team/packages/py-macaroon-bakery.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/py-macaroon-bakery
 Homepage: https://github.com/go-macaroon-bakery/py-macaroon-bakery
 Rules-Requires-Root: no

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME := macaroonbakery
export PYBUILD_TEST_PYTEST := 1

%:
	dh $@ --with python3 --buildsystem=pybuild

## py-macaroon-bakery 1.3.4

=== debian/changelog ===
py-macaroon-bakery (1.3.4-3) unstable; urgency=medium

  * Team upload.
  * Remove usage of python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Dec 2024 02:53:25 +0100

py-macaroon-bakery (1.3.4-2) unstable; urgency=medium

  * Apply X-Style: black.
  * Enable autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Wed, 31 Jul 2024 11:06:06 +0100

py-macaroon-bakery (1.3.4-1) unstable; urgency=medium

  * New upstream release.
    - Modernize unittest method spelling (closes: #1058354).

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Dec 2023 16:02:56 +0000

=== debian/control ===
Source: py-macaroon-bakery
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Colin Watson <cjwatson@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-fixtures,
 python3-httmock,
 python3-nacl,
 python3-protobuf,
 python3-pymacaroons,
 python3-pytest,
 python3-requests,
 python3-rfc3339,
 python3-setuptools,
 python3-six,
Standards-Version: 4.1.1
Vcs-Git: https://salsa.debian.org/python-team/packages/py-macaroon-bakery.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/py-macaroon-bakery
Homepage: https://github.com/go-macaroon-bakery/py-macaroon-bakery
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
X-Style: black

Package: python3-macaroonbakery
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Higher-level macaroon operations for Python 3
 Macaroons, like cookies, are a form of bearer credential.  Unlike opaque
 tokens, macaroons embed caveats that define specific authorization
 requirements for the target service, the service that issued the root
 macaroon and which is capable of verifying the integrity of macaroons it
 receives.
 .
 Macaroons allow for delegation and attenuation of authorization.  They are
 simple and fast to verify, and decouple authorization policy from the
 enforcement of that policy.
 .
 The macaroonbakery library builds on pymacaroons to allow working with
 macaroons at a higher level, such as by automatically gathering discharge
 macaroons for third-party caveats from their corresponding services.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME := macaroonbakery
export PYBUILD_TEST_PYTEST := 1
ifeq ($(PYBUILD_AUTOPKGTEST),1)
export PYBUILD_BEFORE_TEST := mkdir {build_dir}/macaroonbakery && cp -a {dir}/macaroonbakery/tests/ {build_dir}/macaroonbakery/
export PYBUILD_AFTER_TEST := rm -rf {build_dir}/macaroonbakery
endif

%:
	dh $@ --buildsystem=pybuild
